Start CVM
curl --request POST \
--url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/startimport requests
url = "https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/start"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"status": "<string>",
"teepod_id": 123,
"app_id": "<string>",
"vcpu": 123,
"memory": 123,
"disk_size": 123,
"created_at": "2023-11-07T05:31:56Z",
"teepod": {
"id": 123,
"name": "<string>"
},
"user_id": 123,
"vm_uuid": "<string>",
"instance_id": "<string>",
"app_url": "<string>",
"base_image": "<string>",
"manifest_version": 123,
"version": "<string>",
"runner": "<string>",
"docker_compose_file": "<string>",
"features": [
"<string>"
],
"encrypted_env_pubkey": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}CVMs
Start CVM
Powers on a stopped CVM. GPU allocation happens during start.
POST
/
api
/
v1
/
cvms
/
{cvm_id}
/
start
Start CVM
Path Parameters
Response
CVM record with starting status
Show child attributes
Show child attributes
Was this page helpful?
⌘I

